# Trait heck::ToTitleCase

source · [−]

    pub trait ToTitleCase: ToOwned {
        fn to_title_case(&self) -> Self::Owned;
    }

Expand description

This trait defines a title case conversion.

In Title Case, word boundaries are indicated by spaces, and every word is capitalized.

### Example:

    use heck::ToTitleCase;

    let sentence = "We have always lived in slums and holes in the wall.";
    assert_eq!(sentence.to_title_case(), "We Have Always Lived In Slums And Holes In The Wall");

## Required Methods

source

#### fn to_title_case(&self) -> Self::Owned

Convert this type to title case.

## Implementations on Foreign Types

source

### impl ToTitleCase for str

source

#### fn to_title_case(&self) -> String

## Implementors